package com.example.watcher;

public class Constants {
    // Notification command type
    public static final int NOTIFICATION_CMD_ADD = 1;
    public static final int NOTIFICATION_CMD_REMOVE = 2;
    public static final int NOTIFICATION_CMD_LIST = 3;
    
    // Nofication broadcast intent key
    public static final String NOTIFICATION_KEY_CMD = "notification_command";
    public static final String NOTIFICATION_KEY_ID = "notification_id";
    public static final String NOTIFICATION_KEY_PACKAGE = "notification_package";
    public static final String NOTIFICATION_KEY_TEXT = "notification_text";
    
    // Message types sent from the BluetoothChatService Handler
    public static final int MESSAGE_STATE_CHANGE = 1;
    public static final int MESSAGE_READ = 2;
    public static final int MESSAGE_WRITE = 3;
    public static final int MESSAGE_DEVICE_NAME = 4;
    public static final int MESSAGE_TOAST = 5;
    
    // Intent request codes
    public static final int REQUEST_CONNECT_DEVICE = 1;
    public static final int REQUEST_ENABLE_BT = 2;
}
